---

include:
  - project: wild-beavers/pipelines/gitlab-ci
    ref: 'master'
    file: 'pipelines/terraform-deployment.gitlab-ci.yml'

variables:
  TF_HTTP_USERNAME: gitlab-ci-token
  TF_HTTP_PASSWORD: ${CI_JOB_TOKEN}
  TF_VAR_gitlab_token: ${TF_gitlab_token_ro}

workflow:
  rules:
    - if: $CI_COMMIT_BRANCH
    - if: $CI_COMMIT_TAG && $CI_COMMIT_TAG =~ /^v?[0-9]+\.[0-9]+\.[0-9]+$/
      variables:
        TF_VAR_gitlab_token: ${TF_gitlab_token}
